package com.ruoyi.system.api.factory;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.RemoteAuthService;
import com.ruoyi.system.api.domain.SysUser;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteAuthFallbackFactory implements FallbackFactory<RemoteAuthService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteAuthFallbackFactory.class);

    @Override
    public RemoteAuthService create(Throwable throwable) {
        log.error("Auth服务调用失败:{}", throwable.getMessage());
        return new RemoteAuthService() {
            @Override
            public AjaxResult add(SysUser user) {
                return AjaxResult.error("新增Oauth2用户失败");
            }

            @Override
            public AjaxResult edit(SysUser user) {
                return AjaxResult.error("更新Oauth2用户失败");
            }
        };
    }
}
